require 'spec_helper'
require 'stringio'

RSpec.describe Wedoops::Google do
    it 'has a version number' do
      expect(Wedoops::Google::VERSION).not_to be nil
    end
  
    it 'does something useful' do
      expect(true).to eq(true)
    end
  
    describe 'Configuration' do
      it 'The configuration shuld be a Wedoops::Google::Configuration' do
        expect(Wedoops::Google.configuration).to be_a_kind_of(Wedoops::Google::Configuration)
      end
  
      it 'The user is a string' do
        expect(Wedoops::Google.configuration.user).to be_an(String)
      end
  
    end

    describe 'Components' do 
      it 'El authenticator es un Wedoops::Google::Autenticator' do
        expect(Wedoops::Google::Autenticator.new).to be_a_kind_of(Wedoops::Google::Autenticator)
      end

      it 'El Drive es un Wedoops::Google::Drive' do
        expect(Wedoops::Google::Drive.new).to be_a_kind_of(Wedoops::Google::Drive)
      end

      it 'El Reseller es un Wedoops::Google::Reseller' do
        expect(Wedoops::Google::Reseller.new).to be_a_kind_of(Wedoops::Google::Reseller)
      end


    end
end